Bug 1183327 - SmartCard database outdated
Summary: SmartCard database outdated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcsc-tools
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-18 17:38 UTC by Frank Büttner
Modified: 2015-03-05 12:39 UTC (History)
1 user (show)

Fixed In Version: pcsc-tools-1.4.23-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 12:37:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Büttner 2015-01-18 17:38:43 UTC
Description of problem:
Some card's are nor recognized by the pcsc_scan tool.

Version-Release number of selected component (if applicable):
pcsc-tools-1.4.17-8.fc20.x86_64

How reproducible:
every time

Steps to Reproduce:
1. start 
2. pcsc_scan
3. insert the card

Actual results:
Error message "Your card is not present in the database."

Expected results:
The card data


Additional info:
Using the last database version will solve the problem.
The program will show the hint how to get this:
Your card is not present in the database.
You can get the latest version of the database from
  http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt
or use: wget http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt --output-document=/root/.smartcard_list.txt

After do this, the card will be known, but better will be, deliver the new database system wide.

Comment 1 Fedora Update System 2015-01-30 16:49:08 UTC
pcsc-tools-1.4.23-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pcsc-tools-1.4.23-1.fc21

Comment 2 Fedora Update System 2015-01-30 16:49:13 UTC
pcsc-tools-1.4.23-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pcsc-tools-1.4.23-1.fc20

Comment 3 Fedora Update System 2015-02-01 00:24:44 UTC
Package pcsc-tools-1.4.23-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcsc-tools-1.4.23-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1485/pcsc-tools-1.4.23-1.fc21
then log in and leave karma (feedback).

Comment 4 Frank Büttner 2015-02-01 09:38:54 UTC
Hello, now the card's are recognized. 
Thanks for the fix

Comment 5 Fedora Update System 2015-03-05 12:37:52 UTC
pcsc-tools-1.4.23-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-03-05 12:39:01 UTC
pcsc-tools-1.4.23-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.